Accounts

Connected accounts allow you to manage multiple customers within your organization. Each account can have its own farms, parcels, and embedded map access.

Account Deletion Behavior

circle-exclamation

To permanently delete an account:

  1. Go to the Graniot App

  2. Navigate to Settings > Members

  3. Find the deactivated account

  4. Click the delete button to permanently remove it

User Roles

Accounts can have different roles that control their permissions in the embedded map:

Role
Can View
Can Edit Geometries
Can Manage

USER

Yes

No

No

TECHNICIAN

Yes

Yes

No

COMPANY_ADMIN

Yes

Yes

Yes

circle-info

If you want to prevent users from editing parcel geometries in the embedded map, assign them the USER role.

Changing Account Roles

Use the set_role endpoint to change an account's role:

Headers:

Body:

or

The system will verify that licenses are available for the target role before making the change.


get
Responses
chevron-right
200Success
application/json
idstringRead-onlyRequired
account_emailstringRequired
embedded_urlstringRead-onlyRequired
account_accessstringRead-onlyRequired
get
/api/accounts/
200Success
post
Body
idstringRead-onlyRequired
account_emailstringRequired
embedded_urlstringRead-onlyRequired
account_accessstringRead-onlyRequired
Responses
post
/api/accounts/
201Success
put

Update account information. If the request contains embedded_conf, it must be a JSON object with boolean values.

        Allowed keys for `embedded_conf` are:
        - COMPARISON_TAB_VIEW
        - GRAPHS_TAB_VIEW
        - NOTES_TAB_VIEW
        - ZONING_TAB_VIEW
        - WEATHER_FORECAST_TAB_VIEW
        - ADVANCED_TAB_VIEW
        - TREE_ANALYSIS_TAB_VIEW
        - CROPS_TAB_VIEW
        - ACCOUNT_LIMITS (object) - Account-level limits
          - MAX_PARCEL_SIZE (number) - Max parcel size in hectares. Cannot exceed the company limit.

        Example payload:
        {
            "embedded_conf": {
                "COMPARISON_TAB_VIEW": true,
                "ACCOUNT_LIMITS": {
                    "MAX_PARCEL_SIZE": 50
                }
            }
        }
Path parameters
idstringRequired
Body
idstringRead-onlyRequired
account_emailstringRequired
embedded_urlstringRead-onlyRequired
account_accessstringRead-onlyRequired
Responses
chevron-right
200Success
application/json
idstringRead-onlyRequired
account_emailstringRequired
embedded_urlstringRead-onlyRequired
account_accessstringRead-onlyRequired
put
/api/accounts/{id}/
200Success
delete
Path parameters
idstringRequired
Responses
delete
/api/accounts/{id}/
204

No response body

No content

Last updated